Subject: Re: [Ace] Call for adoption draft-msahni-ace-cmpv2-coap-transport

From: Daniel Migault <[email-masked]>
Date: Fri, 19 Feb 2021 14:15:38 -0500

The ACE charter has been approved. Please move the draft to WG document
that is rename it to draft-ietf-ace-cmpv2-coap and publish it.

Our current milestone is : Jun 2021 - Submission to IESG of "CoAP Transport
for CMPV2" (if adopted)

The document will be discussed during interim and IETF meetings. Note that
discussions are expected to happen on the mailing list, so please keep the
WG informed about the progress as well as concerns to be resolved.

Yours,
Logan and Daniel

On Mon, Jan 25, 2021 at 10:15 AM Daniel Migault <[email-masked]> wrote:

> Hi,
>
> This email closes the call for adoption - pending the charter. The
> document will be adopted as a WG document *when* the charter is approved
> with this piece of work as part of the charter.
>
> When the charter is approved - and not before - I expect the co-author to
> update their document as a WG document using draft-ietf-* without changing
> the text. I hope the charter will be approved by the next interim meeting
> [2] in which case, I expect the draft to be presented/updated.
>
> My interpretation of the call is that we do have a light consensus for
> adoption. The main concern for not adopting the work was that the WG may
> spend too many cycles on the document.  I tend to agree that the draft
> should be moved forward in a fast way and believe it could be sent to the
> IESG by June as stated in the milestones [1].
>
> The WG lamps should probably get informed of what we are doing at least
> for the WGLC.
>
>
> Yours,
> Daniel
>
> [1] https://datatracker.ietf.org/wg/ace/about/
> [2] https://datatracker.ietf.org/meeting/upcoming
>
>
> On Thu, Jan 21, 2021 at 8:16 AM Daniel Migault <[email-masked]>
> wrote:
>
>> Hi,
>>
>> Just to remind you the call for adoption ends today.
>>
>> Yours,
>> Daniel
>>
>>
>>
>> On Tue, Jan 12, 2021 at 6:01 PM Mohit Sahni <[email-masked]> wrote:
>>
>>> Thanks Daniel and Hendrik, Since it has been a some time when we
>>> discussed about this draft, here is a summary of discussions that we
>>> had on this draft regarding the adoption:
>>>
>>> Brockhaus, Hendrik:
>>> >Thanks to Mohit for his request on rechartering and adoption. I support
>>> this.
>>>
>>> Panos Kampanakis:
>>> > I oppose adoption unless there is a compelling reason why. Also I am
>>> not sure where this draft would be implemented and used. If this is just
>>> for one or two vendors I don’t think ACE needs to spend the cycles.
>>>
>>> Brockhaus, Hendrik:
>>> >I think we have to accept that there are different protocols with
>>> different abilities chosen in different verticals.
>>>
>>> Michael Richardson:
>>> > I have no fundamental objection to this work, and I think that it
>>> should be adopted.
>>> >But, I think that it is worth doing more than just s/http/coap/.
>>> Plus some suggestions on the draft.
>>>
>>> Mohit Sahni:
>>> > Some of your suggestions should be discussed in the context of the
>>> LightWeight CMP profile draft
>>> > I will work on making it more clear what are the pros and cons of
>>> using a proxy vs direct communication
>>> > I will add the endpoint definitions and make resource discovery more
>>> clear in the draft.
>>> > This draft only defines how to use the CoAP transport for carrying the
>>> CMP messages. When and what CMP messages are sent should come under the CMP
>>> protocol implementation itself
>>>
>>> Olaf Bergmann:
>>> > One thing that might get in our way when doing this in ACE is the
>>> emerging input for draft-ietf-lamps-lightweight-cmp-profile. But otherwise,
>>> I do not see a strong reason for not adopting
>>> draft-msahni-ace-cmpv2-coap-transport.
>>>
>>> Brockhaus, Hendrik:
>>> > Actually this was first discussed in LAMPS, but as the draft focusses
>>> on CoAP transport and not on CMP specifics, the group had the opinion that
>>> ACE is the better home as here is the knowledge regarding CoAP.
>>>
>>> Thanks
>>> Mohit
>>>
>>>
>>> On Fri, Jan 8, 2021 at 12:14 PM Brockhaus, Hendrik
>>> <[email-masked]> wrote:
>>> >
>>> > Hi Daniel
>>> >
>>> >
>>> >
>>> > Thanks for kicking the ball.
>>> >
>>> > I would appreciate the adoption of Mohits draft and I am also willing
>>> to review it.
>>> >
>>> >
>>> >
>>> > There are also implementation demonstrating CMP message transport on
>>> CoAP next to HTTP.
>>> >
>>> > https://github.com/siemens/embeddedCMP
>>> >
>>> > https://github.com/siemens/LightweightCmpRa
>>> >
>>> > Any feedback is welcome!
>>> >
>>> >
>>> >
>>> > Hendrik
>>> >
>>> >
>>> >
>>> > Von: Ace <[email-masked]> Im Auftrag von Daniel Migault
>>> > Gesendet: Donnerstag, 7. Januar 2021 20:28
>>> > An: Ace Wg <[email-masked]>
>>> > Betreff: [Ace] Call for adoption draft-msahni-ace-cmpv2-coap-transport
>>> >
>>> >
>>> >
>>> > Hi,
>>> >
>>> >
>>> >
>>> > The charter approval by the IESG has been a bit delayed and is
>>> expected to be approved in the coming weeks. In the meanwhile, this email
>>> starts a call for adoption on work that has been included in the charter.
>>> Of course, adoption is contingent on the rechartering succeeding.
>>> >
>>> >
>>> >
>>> > The document called for adoption is
>>> draft-msahni-ace-cmpv2-coap-transport available here:
>>> >
>>> > https://tools.ietf.org/html/draft-msahni-ace-cmpv2-coap-transport-01
>>> >
>>> >
>>> >
>>> > Please state your opinion on whether this work should not or should be
>>> adopted by the WG and express your motivation for such a statement. The
>>> call for adoption closes on January 21.
>>> >
>>> >
>>> >
>>> > Yours,
>>> >
>>> > Daniel
>>> >
>>> >
>>> >
>>> >
>>> >
>>> >
>>> > --
>>> >
>>> > Daniel Migault
>>> >
>>> > Ericsson
>>>
>>
>>
>> --
>> Daniel Migault
>> Ericsson
>>
>
>
> --
> Daniel Migault
> Ericsson
>

-- 
Daniel Migault
Ericsson